Bug 1305459 - Adding pyton3 to spec
Adding pyton3 to spec
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-pytimeparse (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pradeep Kilambi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 05:17 EST by Matej Dujava
Modified: 2017-07-31 05:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-pytimeparse-1.1.5-4.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-09 08:22:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for specs (1.55 KB, patch)
2016-02-08 05:17 EST, Matej Dujava
no flags Details | Diff
solves rpmlint errors with non-executable-scripts (1.56 KB, patch)
2016-04-08 10:26 EDT, Dominika Krejčí
no flags Details | Diff

  None (edit)
Description Matej Dujava 2016-02-08 05:17:42 EST
Created attachment 1122133 [details]
patch for specs

Description of problem:
Adding python3 spec.

Additional info:
See attached patch.
Comment 1 Jan Kurik 2016-02-24 09:26:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Dominika Krejčí 2016-04-08 10:26 EDT
Created attachment 1145147 [details]
solves rpmlint errors with non-executable-scripts

Spec: original spec from upstream + Matej's patch + my patch (solves rpmlint errors with non-executable-scripts, see attached)

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/dkrejci/python-pytimeparse/fedora-rawhide-x86_64/00174020-python-pytimeparse/python-pytimeparse-1.1.5-4.fc25.src.rpm

Description: A small Python library to parse various kinds of time expressions

Fedora Account System Username: dkrejci

Copr link: https://copr.fedorainfracloud.org/coprs/dkrejci/python-pytimeparse/build/174020/
Comment 3 Tomas Orsava 2016-04-26 10:51:32 EDT
As the packager has not yet responded I suggest we push Matej Dujava's patch as it accomplishes exactly and only what is asked for, and leave Dominika's enhancement patch here for the packager to use if he so wishes.

Here's the Koji build with Matej's patch: http://koji.fedoraproject.org/koji/taskinfo?taskID=13810852
Comment 4 Pradeep Kilambi 2016-04-26 16:35:03 EDT
Sorry for the delay, this slipped my radar. I pushed both the patches and built packages in koji. 

here is the koji build with both patches:
 http://koji.fedoraproject.org/koji/taskinfo?taskID=13814785
Comment 5 Tomas Orsava 2016-04-27 05:33:06 EDT
Wonderful pradeep
Comment 6 Tomas Orsava 2016-04-27 05:34:04 EDT
Wonderful, Pradeep, thank you! Have you pushed it for Rawhide or Fedora 24?
Comment 7 Fedora Update System 2016-04-27 11:17:55 EDT
python-pytimeparse-1.1.5-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6eb485ee2a
Comment 8 Pradeep Kilambi 2016-04-27 11:21:27 EDT
I pushed the update and built package from master to rawhide. Also pushed a bodhi update to f24, Let me know if you need any other updates.
Comment 9 Fedora Update System 2016-04-27 13:50:30 EDT
python-pytimeparse-1.1.5-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6eb485ee2a
Comment 10 Tomas Orsava 2016-04-28 05:48:28 EDT
That's absolutely enough. Thank you for your time!
Comment 11 Dominika Krejčí 2016-05-04 12:32:04 EDT
As this package is Python 3 compatible, it no longer blocks PYTHON3 porting bug.
Comment 12 Matej Dujava 2016-06-09 08:22:39 EDT
Closing this Bug.
Comment 13 Fedora Update System 2017-07-31 05:47:59 EDT
python-pytimeparse-1.1.5-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.